It's all about the answers!

Ask a question

Is there an RTC 3.0 plugin for RAD and RSA?


Enrique Gaona (13462324) | asked Mar 01 '11, 5:41 p.m.
Hi,
I'm trying to find out if there's an RTC 3.0 plugin for RAD and RSA. If so, would you know what version of RAD and RSA? Thanks.

Enrique

12 answers



permanent link
Jose Miguel Ordax Cassa (2.4k2126100) | answered Mar 04 '11, 8:08 a.m.
RAD and RSA are Eclipse apps so you can install RTC Client on it.
RAD/RSA 7.5.x supports RTC 2.0.x
RAD/RSA 8.0.x supports RTC 3.0.x

Hope this helps,

Chemi.

On 3/1/2011 11:53 PM, egaona wrote:
Hi,
I'm trying to find out if there's an RTC 3.0 plugin for RAD and RSA.
If so, would you know what version of RAD and RSA? Thanks.

Enrique

permanent link
Stan Cason (4131) | answered Jun 13 '11, 1:17 p.m.
I just downloaded RSA 8.0 and RTC 3.0 and tried to install the plugin into RSA. From what I can see RSA 8.0 runs on ECLIPSE 3.6 and RSA 3.0 is running on ECLIPSE 3.5.2 and so cannot be installed into the same package group.

I am going to try to install it into a new package group, but am I missing something? I thought these two products were supposed to be compatible!

permanent link
Stan Cason (4131) | answered Jun 13 '11, 2:26 p.m.
Well, that did not work. RTC needs to be in the same package group as RSA in order to take advantage of SCM capabilities. Using a new package group installs it into it's own Eclipse instance.

With the 2.0 version, there was a downloadable package that could be used to install into an eclipse 3.4.2 environment that allowed me to install into RSA 7.5.

I think we are going to need a similar download for RSA 8.0 in order to install into an Eclipse 3.6 environment.

permanent link
Stan Cason (4131) | answered Jun 13 '11, 3:00 p.m.
I figured it out. The p2 install option works with RSA 8.0.2. I just downloaded it, extracted it into a repository, and then did an Install New Software option from within RSA 8.0.2. When I restarted, it was there.

Looks like I am back in business.

permanent link
Jose Miguel Ordax Cassa (2.4k2126100) | answered Jun 23 '11, 5:52 a.m.
On 6/13/2011 9:08 PM, stancason wrote:
I figured it out. The p2 install option works with RSA 8.0.2. I just
downloaded it, extracted it into a repository, and then did an Install
New Software option from within RSA 8.0.2. When I restarted, it was
there.

Looks like I am back in business.


I was able to install RTC Client 3.0.1 on top of RSA 8.0.3 using
Installation Manager 1.4.4, just FYI... it was not necessary to use any
p2 and Eclipse tools, just Installation Manager.

Regards,

Chemi.

permanent link
Sumitra Awasthi (31122) | answered Aug 10 '11, 10:28 a.m.
I installed RSA 8.0.3, RTC 3.0.1 Server and RTC Eclipse Client 3.0.1 using IBM Installation Manager.

I was unable to find Team Artifacts view in RSA Client so I installed Eclipse P2 install.

Installation was successful and I can see work item perspective in RSA 8.0.3 but it gives me below error when I select it.
CRJAZ12411 There is a version mismatch for the com.ibm.team.scm service. Server version is 0.37 while client version is 0.33. Both Client and Server version must match.Check the overall version of the client using Help --> About and ensure it is compatible with server version 3.0.1 and build id RJF-I20110602.

permanent link
ym sun (1623) | answered Aug 11 '11, 4:37 a.m.
I installed RSA 8.0.3, RTC 3.0.1 Server and RTC Eclipse Client 3.0.1 using IBM Installation Manager.

I was unable to find Team Artifacts view in RSA Client so I installed Eclipse P2 install.

Installation was successful and I can see work item perspective in RSA 8.0.3 but it gives me below error when I select it.
CRJAZ12411 There is a version mismatch for the com.ibm.team.scm service. Server version is 0.37 while client version is 0.33. Both Client and Server version must match.Check the overall version of the client using Help --> About and ensure it is compatible with server version 3.0.1 and build id RJF-I20110602.



On RSA interface, open File->new->other...:., select Team->Jazz repository connection to active RTC widget. Next time, via open Windows->Show views->other...->Team->Team Atifacts, a RTC client interface you will see.

permanent link
Jirong Hu (1.5k9282256) | answered Aug 11 '11, 11:27 a.m.
On 6/13/2011 9:08 PM, stancason wrote:
I was able to install RTC Client 3.0.1 on top of RSA 8.0.3 using
Installation Manager 1.4.4, just FYI... it was not necessary to use any
p2 and Eclipse tools, just Installation Manager.

Regards, Chemi.


Hi

I am able to install RTC 3.0.1 in the same package as RSA 8.0.2 and RPT 8.2. But after install, I can't find any RTC related view or perspective in RSA. Only a Team Dashboard view not sure if it's from RTC.

I created a Java project, go to Team --> Share Project, only CVS is in the list.

What shall we do to see RTC here?

OKOK, figured out, you need to check "Show all" when you open the list of perspective.

Thanks
Jirong

permanent link
Sumitra Awasthi (31122) | answered Aug 15 '11, 6:59 a.m.
On 6/13/2011 9:08 PM, stancason wrote:
I was able to install RTC Client 3.0.1 on top of RSA 8.0.3 using
Installation Manager 1.4.4, just FYI... it was not necessary to use any
p2 and Eclipse tools, just Installation Manager.

Regards, Chemi.


Hi

I am able to install RTC 3.0.1 in the same package as RSA 8.0.2 and RPT 8.2. But after install, I can't find any RTC related view or perspective in RSA. Only a Team Dashboard view not sure if it's from RTC.

I created a Java project, go to Team --> Share Project, only CVS is in the list.

What shall we do to see RTC here?

OKOK, figured out, you need to check "Show all" when you open the list of perspective.

Thanks
Jirong


I can install RTC 3.0.1 separately but not on existing RSA 8.0.3 eclipse IDE.

permanent link
Jirong Hu (1.5k9282256) | answered Aug 15 '11, 9:17 a.m.
I can install RTC 3.0.1 separately but not on existing RSA 8.0.3 eclipse IDE.


That's what I did:
1. Install IM 1.4.4 comes with RSA 8.0.3.
2. Install RSA 8.0.3 using IM.
3. Install RTC eclipse client 3.0.1 using IM, in the same package of RSA. I can see "RTC Administration" perspective from within RSA.

When you say you can't, what's the error?

Jirong

Your answer


Register or to post your answer.